%define major 0

Summary: Metatheme is a way of managing "theme sets"
Name: metatheme
Version: 0.9.7
Release: 2mdk
Source0: ftp://ftp.gnome.org.com/pub/GNOME/unstable/sources/%{name}-%{version}.tar.bz2
License: GPL
Url:	 http://www.ximian.com
Group: Graphical desktop/GNOME
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libgal-devel libglade-devel libGConf1-devel libcapplet-devel 
Buildrequires: libgtk+-x11-2.0_0-devel

%description
This is metatheme, a way of managing "theme sets" that accommodate
gtk, your window manager, etc.

%package -n lib%{name}%{major}
Summary: Metatheme libraries
Group: Graphical desktop/GNOME
%description -n lib%{name}%{major}
This is metatheme, a way of managing "theme sets" that accommodate
gtk, your window manager, etc.

%package -n lib%{name}%{major}-devel
Requires: %{name} = %{version}
Requires: lib%{name}%{major} = %{version}
Summary: Metatheme development files
Group: Development/Other
Obsoletes: %{name}-devel
Provides: %{name}-devel = %{version}
Provides: lib%{name}-devel = %{version}

%description -n lib%{name}%{major}-devel
Metatheme development files

%prep
%setup -q

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name} 
?package(%{name}): command="%{_bindir}/metatheme_selector_capplet" icon="%{_datadir}/pixmaps/gnome-ccthemes.png" longtitle="Selection of GNOME desktop themes" title="Desktop Theme Selector" needs=gnome section="Configuration/Gnome"
EOF

%{find_lang} %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%post -n lib%{name}%{major} -p /sbin/ldconfig

%postun -n lib%{name}%{major} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS COPYING TODO
%{_bindir}/*
%dir %{_libdir}/metatheme
%dir %{_libdir}/metatheme/plugins
%dir %{_libdir}/metatheme/plugins/%{version}
%{_libdir}/metatheme/plugins/%{version}/*.so*
%{_datadir}/control-center-2.0/capplets/*
%{_datadir}/applications/*
%{_datadir}/metatheme-glade
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*
%{_menudir}/*

%files -n lib%{name}%{major}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n lib%{name}%{major}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/*

%changelog
* Tue Jul 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.7-2mdk
- buildrequires libgtk+-x11-2.0_0-devel

* Mon May  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.7-1mdk
- Release 0.9.7

* Mon Apr 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.6-1mdk
- Release 0.9.6

* Thu Apr 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.5-1mdk
- Initial mandrake package


# end of file
